mscorlib [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.5000.0 2.0.0.0 4.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Object System.Runtime.InteropServices._ParameterBuilder System.Runtime.InteropServices.ClassInterface(System.Runtime.InteropServices.ClassInterfaceType.None) System.Runtime.InteropServices.ComDefaultInterface(typeof(System.Runtime.InteropServices._ParameterBuilder)) System.Runtime.InteropServices.ComVisible(true)

Parameter attributes need to consistent with the method signature. If you specify Out attributes for a parameter, you should ensure that the type of that method parameter is a ByRef type.

Some attributes require that you call with viable parameters in order for the Microsoft intermediate language (MSIL) to work correctly at runtime. For example, if you define a with ParameterAttributes.Out for parameter 1 of a MethodBuilder, then parameter 1 of must be a reference such as Type.GetType("System.String&"), rather than Type.GetType("System.String").

Creates or associates parameter information.

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Int32 To be added: an object of type 'int'

  The values of the attribute correspond to the values of the enumeration.

  Retrieves the attributes for this parameter.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Reflection.Emit.ParameterToken To be added

  Retrieves the token for this parameter.

  Returns the token for this parameter.

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean To be added: an object of type 'bool'

  This method depends on an optional metadata flag. This flag can be inserted by compilers, but the compilers are not obligated to do so.

  Retrieves whether this is an input parameter.

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean To be added: an object of type 'bool' To be added

  Retrieves whether this parameter is optional.

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean To be added: an object of type 'bool' To be added

  Retrieves whether this parameter is an output parameter.

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.String To be added: an object of type 'string' To be added

  Retrieves the name of this parameter.

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Int32 To be added: an object of type 'int' To be added

  Retrieves the signature position for this parameter.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void ``

  is restricted to the following types: Boolean, SByte, Int16, Int32, Int64, Byte, UInt16, UInt32, UInt64, Single, Double, DateTime, Char, String, and Enum. If the parameter type is a reference type, CLS compliance requires to be null. However, starting with the net_v40_long, can be non-null for a reference type as long as the value can be assigned to that reference type. For example, an Int32 value can be assigned to a parameter of type . This is not CLS-compliant, but it can be useful in interop scenarios.

  Sets the default value of the parameter.

  The default value of this parameter.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` To be added

  Set a custom attribute using a custom attribute builder.

  An instance of a helper class to define the custom attribute.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Runtime.InteropServices.ComVisible(true)
  System.Void `` ``

  See the metadata specification in the ECMA Partition II documentation for details on how to format . The documentation is available online; see ECMA C# and Common Language Infrastructure Standards on MSDN and Standard ECMA-335 - Common Language Infrastructure (CLI) on the Ecma International Web site.

  Set a custom attribute using a specified custom attribute blob.

  The constructor for the custom attribute. A byte blob representing the attributes.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Obsolete("An alternate API is available: Emit the MarshalAs custom attribute instead.")
  System.Void ``

  This method should throw the following exception but currently does not:

  if the containing type has been created using TypeBuilder.CreateType().

  Specifies the marshaling for this parameter.

  The marshaling information for this parameter.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` `` `` `` `` To be added. To be added. To be added. To be added. To be added. To be added. To be added.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` `` ``

  This method is for access to managed classes from unmanaged code, and should not be called from managed code. For more information about IDispatch::GetTypeInfo, see the MSDN Library.

  Retrieves the type information for an object, which can then be used to get the type information for an interface.

  The type information to return. The locale identifier for the type information. Receives a pointer to the requested type information object.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` To be added. To be added. To be added.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` `` `` `` `` `` `` `` To be added. To be added. To be added. To be added. To be added. To be added. To be added. To be added. To be added. To be added.